<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    
    
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    
    
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.css">
            <script src="js/jquery-3.3.1.min.js"></script>
        

    
    <style>
    
       /* body{
            background-image: linear-gradient(to right, #26b1db , #340055);
            margin-top: 20px;
        }*/

        p{
            display: inline-block;
        }
        .todo-template{
            display: none;
        }

    </style>
</head>
<body>
  
  
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <h1>TODO list</h1>
            </div>
            <div class="col-md-12 todos">
                <table id="myTable" class="todo-template">
                    <thead >
                        <tr>
                            <th>
                                Columna Todo
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>
                                <input type="checkbox" />
                                <p>Texto</p>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
              
            

            <!--div class="col-md-12 todos">
                <div class="todo-template">
                    <input type="checkbox" />
                    <p>Texto</p>
                </div-->

    
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    
    <!--datatable-->
    <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.js"></script>
    
    
    
    
    <script>
         $(document).ready( function () {
             $.ajax('https://jsonplaceholder.typicode.com/todos')
                .done(function(res){
                    var options = {
                        data: res,
                        columns: [
                            options.forEach(function(option){
                                var contenedor = $('.todo-template').clone();

                                //busca elementos y los reemplaza
                                $(contenedor)
                                    .find('p').text(option.title);

                                    
                            })
                        ]
                    }

                    //Datatable
                    $('#myTable').DataTable(options);
                })
                .catch(function(res){

                });

        });
    </script>
    
    
     
    
</body>
</html>